Summary: e-smith module to configure dnscache
%define name e-smith-dnscache
Name: %{name}
%define version 0.3.0
%define release 04sme02
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-dnscache-0.3.0-02.mitel_patch
Patch1: e-smith-dnscache-0.3.0-03.mitel_patch
Patch2: e-smith-dnscache-0.3.0-04.mitel_patch
Patch3: e-smith-dnscache-0.3.0-04sme01.reversedns_patch
Patch4: e-smith-dnscache-0.3.0-04sme02.forwarder_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-lib >= 1.13.1-90
Requires: djbdns
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
e-smith server enhancement to configure and run dnscache as a
caching nameserver

%changelog
* Thu Jan 27 2005 Shad L. Lords <slords@mail.com>
- [0.3.0-04sme02]
- Create ForwardOnly defaulting to enabled for forwarder

* Mon Jan 24 2005 Shad L. Lords <slords@mail.com>
- [0.3.0-04sme01]
- Only create reverse entries if local network or defined dns entry

* Thu Oct 21 2004 Charlie Brady <charlieb@e-smith.com>
- [0.3.0-04]
- Be sure to remove any left-behind env/FORWARDONLY file. [charlieb MN00045628]

* Thu Aug 26 2004 Michael Soulier <msoulier@e-smith.com>
- [0.3.0-03]
- Updated dnscache-conf for last change. [msoulier MN00045628]

* Thu Aug 26 2004 Michael Soulier <msoulier@e-smith.com>
- [0.3.0-02]
- Updated to handle FORWARDONLY env var properly, to prevent unwanted requests
  for recursion. [msoulier MN00045628]

* Thu Aug 26 2004 Michael Soulier <msoulier@e-smith.com>
- [0.3.0-01]
- rolling to dev - 0.3.0

* Wed Aug 27 2003 Michael Soulier <msoulier@e-smith.com>
- [0.2.0-05]
- Updated the shutdown ordering, and added runlevel 1. [msoulier 9761]

* Mon Aug 25 2003 Michael Soulier <msoulier@e-smith.com>
- [0.2.0-04]
- Moved the rc7 symlink creation to createlinks. [msoulier 9761]

* Mon Aug 25 2003 Michael Soulier <msoulier@e-smith.com>
- [0.2.0-03]
- Added K* script links for runlevels 0 and 6 for dnscache. [msoulier 9761]

* Tue Jul 15 2003 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-02]
- Remove bogus "Requires: supervise-scripts". [charlieb 9448]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [0.2.0-01]
- Changing version to stable stream number - 0.2.0

* Tue Jun 17 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-21]
- Fix restart of dnscache. [charlieb 8745]

* Fri Jun 13 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-20]
- Restart dnscache except after configuration is complete, except for
  certain events (when dnscache will not be running). [gordonr 6762]
- If forwarder is enabled, don't delegate any lookups to local tinydns.
  [charlieb 9032]
- Change Forwarder1 property to Forwarder. Do migration of legacy values here -
  previously done in fragment in e-smith-base RPM.  [charlieb 9032]

* Fri Jun  6 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-19]
- Add "down" file so that dnscache does not start until rc7.d script
  runs. [charlieb 8745]

* Wed Jun  4 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-18]
- Use create-system-user in %pre to create required users. [charlieb 6033]

* Mon Apr 14 2003 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-17]
- Add template for servers/@ and handle DNS forwarders [gordonr 8179]
- Modify template for env/FORWARDONLY to handle DNS forwarders [gordonr 8179]
- Restart dnscache in console-save in case we just changed forwarding
  policy [gordonr 8179]

* Mon Apr  7 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-16]
- Well, it would help if the rc7.d symlink were named correctly. [charlieb 4085]

* Tue Apr  1 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-15]
- Add rc7.d script so that dnscache comes up at boot time. [charlieb 4058]

* Thu Mar 27 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-14]
- Add/delete dnscache delegations for off-site domains/networks if we
  know about them. [charlieb 7845]

* Thu Mar 13 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-13]
- Add default db fragments to defaults, not default :-) [charlieb 7632]

* Tue Mar 11 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-12]
- Add default db fragments, so dnscache is enabled by default.
  Updated e-smithlib dependency. [charlieb 7632]

* Thu Jan 30 2003 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-11]
- Replace Copyright header in spec file with "License: GPL". [charlieb]
- Add /etc/resolv.conf template nameserver fragment. Corresponding
  fragment must be removed from e-smith-base. [charlieb 4058].
- Remove debugging print from dnscache-conf. [charlieb 4058]
- Add 127.in-addr.arpa file - it is constant. [charlieb 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-10]
- Updated address for J.ROOT-SERVERS.NET [gordonr 5530]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-09]
- Skip servers/@ in dnscache-conf - the root name servers :-) [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-08]
- Add service domain delegation [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-07]
- Delegate domain-remote entries to the server defined in the
  Server property of that record.
- Don't delegate remote subnets to the local nameserver - just
  skip them for now [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-06]
- Wrong bug number last time
- Standardised log/run script with mailfront/qmail/etc. [gordonr 4058]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-05]
- Standardised log/run script with mailfront/qmail/etc. [gordonr 6365]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-04]
- Call dnscache-conf in post-{install,upgrade} - we need this running
  from the start, even if we need to change details after the bootstrap
  console [gordonr 6365]

* Tue Dec 31 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.8-03]
- Add missing pipe in genfilelist call so sticky bit preserverved
  on /var/service/dnscache [gordonr 4058]

* Tue Dec  3 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-02]
- Add sticky bit to dnscache service directory, so that svscan starts logging.
- Create /service symlink, so that supervise of dnscache is started by svscan.
  [charlieb 4058]

* Thu Nov 21 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.8-01]
- Rebuild to catch the createlinks update missed by last co2rpm build to 0.1.8

* Thu Nov 21 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.7-02]
- Added root/servers/@ file - we will need to update this some time, as the
  list recently changed.
- Rewrote conf-dnscache to use new DB access classes. Renamed to dnscache-conf.
- Add conf-dnscache links to domain-create and domain-delete events.
- Use links for acl files and delegation files.
- Add code to do local domain delegation (to tinydns).
- We currently do lame delegation for local networks reverse lookup. We
  need to fix this, but currently can't do any better - we don't know any
  name servers for those reverse domains.
- Add sticky bit to dnscache service directory
- Hide output of "id" in %pre script.
  [charlieb 4058]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.7-01]
- RPM rebuild forced by cvsroot2rpm

* Mon Apr  8 2002 Michael Schwern <schwern@e-smith.com>
- [0.1.6-01]
- Update access list manipulation to handle arbitrary bitmasks.

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.4-01]
- Use correct esmith::utils function names for netmask manip stuff
- Remove trailing dot from network prefixes before creating access
  allow files

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.3-01]
- Allow dnscache/dnslog users to already exist in %pre script
- Remove bogus -g args from useradd commands
- Update conf-dnscache action script to set up permission to
  query dnscache
- Require supervise-scripts

* Wed Mar 13 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.2-01]
- Create dnscache and dnslog users
- Fix path error in conf-dnscache
- Create /var/log/dnscache directory with correct ownership

* Tue Mar 12 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.1-01]
- Initial

%prep
%setup
for i in bootstrap-console-save network-create network-delete
do
    mkdir -p root/etc/e-smith/events/$i
done
for i in ip servers
do
    mkdir -p root/var/service/dnscache/root/$i
done
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl createlinks
mkdir -p root/service
ln -s /var/service/dnscache root/service
rm -f %{name}-%{version}-%{release}-filelist

touch root/var/service/dnscache/down
/sbin/e-smith/genfilelist root | \
    sed -e '/dir.*var.service.dnscache$/s/0755/01755/' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist
mkdir -p root/var/log/dnscache
echo "%dir %attr(02755,dnslog,dnslog) /var/log/dnscache" \
    >> %{name}-%{version}-%{release}-filelist

%pre
/sbin/e-smith/create-system-user dnscache 410 \
    "DNScache user" /var/service/dnscache /bin/false
/sbin/e-smith/create-system-user dnslog 411 \
    "DNScache log user" /var/service/dnscache/log /bin/false

%post

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
